Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.searchengine
Class SimulatedSearchEngineServer

    java.lang.Object
      lbg.searchengine.SearchEngineServer
          lbg.searchengine.SimulatedSearchEngineServer

    public class SimulatedSearchEngineServer

extends SearchEngineServer

Author:
  Cyril Briquet

Field Summary

Fields inherited from class lbg.searchengine.SearchEngineServer
`hostname, id, port, SELOGGER, timeout`

Constructor Summary
`SimulatedSearchEngineServer(java.lang.String id, java.lang.String host, int port, int timeout)` Creates a Search Engine server.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class lbg.searchengine.SearchEngineServer
`add, getHandles, getHandles, remove, remove, service`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedSearchEngineServer

    public SimulatedSearchEngineServer(java.lang.String id,
                                       java.lang.String host,
                                       int port,
                                       int timeout)
                                throws GridException

  Creates a Search Engine server.

  Parameters:
    `id` - Search Engine id
    `host` - Search Engine hostname
    `port` - Search Engine port
    `timeout` - timeout before handles are checked for activity (in seconds)
  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SearchEngineServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.